be.cin.mycarenet._1_0.carenet.types

## Class SpecificTechnicalResponseCareDetail

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.SpecificTechnicalResponseCareDetail

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:07:47+01:00",
                 comments="JAXB RI v2.2.11")
      public class SpecificTechnicalResponseCareDetail
      extends Object
      implements Serializable

  Java class for SpecificTechnicalCareResponseDetailType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SpecificTechnicalCareResponseDetailType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="NurseReference" type="{urn:be:cin:mycarenet:1.0:carenet:types}NurseReferenceType"/>
               <element name="MessageName" type="{urn:be:cin:mycarenet:1.0:carenet:types}MessageNameType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpecificTechnicalResponseCareDetail()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageNameType` | `getMessageName()` Gets the value of the messageName property.
    `String` | `getNurseReference()` Gets the value of the nurseReference property.
    `void` | `setMessageName(MessageNameType value)` Sets the value of the messageName property.
    `void` | `setNurseReference(String value)` Sets the value of the nurseReference property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpecificTechnicalResponseCareDetail

          public SpecificTechnicalResponseCareDetail()

  - ### Method Detail

    - #### getNurseReference

          public String getNurseReference()

      Gets the value of the nurseReference property.
      Returns:
        possible object is `String`

    - #### setNurseReference

          public void setNurseReference(String value)

      Sets the value of the nurseReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMessageName

          public MessageNameType getMessageName()

      Gets the value of the messageName property.
      Returns:
        possible object is `MessageNameType`

    - #### setMessageName

          public void setMessageName(MessageNameType value)

      Sets the value of the messageName property.
      Parameters:
        `value` - allowed object is `MessageNameType`

Connector Packaging PERSDIETICIAN 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.